' 
' The minimal class that used to satisfy the compile requirements of
' other classes (ie Database.vb)
'

Public Class Misc

    Public Enum ErrLogLevel As Integer
        None = 0
        Errors
        Full
    End Enum

    Public Shared Sub ErrorLog(ByVal ex As Exception, ByVal PC_Name As String, ByVal TableName As String, ByVal Severity As ErrLogLevel)
    End Sub

End Class

Public Class SOSOSDataSet
    Inherits DataSet

    Public ReadOnly Property SOS() As SOSTable
        Get
            Return New SOSTable
        End Get
    End Property

    Public Class SOSTable
        Inherits DataTable

        Private _dr As SOSDataRow

        Default Public ReadOnly Property Row(ByVal i As Integer) As SOSDataRow
            Get
                Return _dr
            End Get
        End Property

        Public Property Count() As Integer
            Get
                Return 0
            End Get
            Set(ByVal value As Integer)

            End Set
        End Property
    End Class

    Public Class SOSDataRow
        Public Property ID() As String
            Get
                Return ""
            End Get
            Set(ByVal value As String)

            End Set
        End Property
    End Class
    Public ReadOnly Property UserLogin() As UserLoginTable
        Get
            Return New UserLoginTable
        End Get
    End Property

    Public Class UserLoginTable
        Inherits DataTable

        Private _dr As UserLoginDataRow

        Default Public ReadOnly Property Row(ByVal i As Integer) As UserLoginDataRow
            Get
                Return _dr
            End Get
        End Property

        Public Property Count() As Integer
            Get
                Return 0
            End Get
            Set(ByVal value As Integer)

            End Set
        End Property
    End Class

    Public Class UserLoginDataRow
        Public Property UserID() As String
            Get
                Return ""
            End Get
            Set(ByVal value As String)

            End Set
        End Property
    End Class
End Class



